# Uses of Class
org.apache.qpid.proton.reactor.ReactorOptions

Packages that use ReactorOptions
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of ReactorOptions in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type ReactorOptions
Modifier and Type
Method
Description
`static Reactor`
Proton.`reactor(ReactorOptions options)`
`static Reactor`
Proton.`reactor(ReactorOptions options, Handler... handlers)`

## Uses of ReactorOptions in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return ReactorOptions
Modifier and Type
Method
Description
`ReactorOptions`
Reactor.`getOptions()`
Gets the reactor options.
Methods in org.apache.qpid.proton.reactor with parameters of type ReactorOptions
Modifier and Type
Method
Description
`static Reactor`
Reactor.Factory.`create(ReactorOptions options)`

## Uses of ReactorOptions in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl that return ReactorOptions
Modifier and Type
Method
Description
`ReactorOptions`
ReactorImpl.`getOptions()`
Constructors in org.apache.qpid.proton.reactor.impl with parameters of type ReactorOptions
Modifier
Constructor
Description
`protected`
`ReactorImpl(IO io, ReactorOptions options)`
``
`ReactorImpl(ReactorOptions options)`